using DiplomovaPrace.Web.Admin.Store.OrderStateUseCase.Actions;
using Fluxor;

namespace DiplomovaPrace.Web.Admin.Store.OrderStateUseCase
{
	public static class Reducers
	{
		[ReducerMethod]
		public static OrderState ReceiveOrderStatesAction(OrderState state, ReceiveOrderStatesAction action)
		{
			return new OrderState(
				isLoading: false,
				orderStates: action.OrderStates);
		}
	}
}
